OpenVDB: PagedArray< ValueT, Log2PageSize >::ConstIterator Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
PagedArray< ValueT, Log2PageSize >::ConstIterator Class Reference

`#include <openvdb/util/PagedArray.h>`

## Public Types
using | iterator_category = std::random_access_iterator_tag
using | value_type = ValueT
using | difference_type = std::ptrdiff_t
using | pointer = ValueT*
using | reference = ValueT&

## Public Member Functions
| ConstIterator ()
| ConstIterator (const PagedArray &parent, size_t pos=0)
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator= (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator & | operator-- ()
ConstIterator | operator++ (int)
ConstIterator | operator-- (int)
const ValueT & | operator* () const
const ValueT * | operator-> () const
const ValueT & | operator[] (const difference_type &pos) const
ConstIterator & | operator+= (const difference_type &pos)
ConstIterator & | operator-= (const difference_type &pos)
ConstIterator | operator+ (const difference_type &pos) const
ConstIterator | operator- (const difference_type &pos) const
difference_type | operator- (const ConstIterator &other) const
bool | operator== (const ConstIterator &other) const
bool | operator!= (const ConstIterator &other) const
bool | operator>= (const ConstIterator &other) const
bool | operator<= (const ConstIterator &other) const
bool | operator< (const ConstIterator &other) const
bool | operator> (const ConstIterator &other) const
bool | isValid () const
size_t | pos () const

## Friends
ConstIterator | operator+ (const difference_type &pos, const ConstIterator &other)

## Member Typedef Documentation

## ◆ difference_type

template<typename ValueT , size_t Log2PageSize = 10UL>

using difference_type = std::ptrdiff_t

## ◆ iterator_category

template<typename ValueT , size_t Log2PageSize = 10UL>

using iterator_category = std::random_access_iterator_tag

## ◆ pointer

template<typename ValueT , size_t Log2PageSize = 10UL>

using pointer = ValueT*

## ◆ reference

template<typename ValueT , size_t Log2PageSize = 10UL>

using reference = ValueT&

## ◆ value_type

template<typename ValueT , size_t Log2PageSize = 10UL>

using value_type = ValueT

## Constructor & Destructor Documentation

## ◆ ConstIterator() [1/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator | ( |  | ) |
| inline

## ◆ ConstIterator() [2/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator | ( | const PagedArray & | parent,
|  | size_t | pos = 0 )
| inline

## ◆ ConstIterator() [3/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator | ( | const ConstIterator & | other | ) |
| inline

## Member Function Documentation

## ◆ isValid()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool isValid | ( |  | ) | const
| inline

## ◆ operator!=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator!= | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator*()

template<typename ValueT , size_t Log2PageSize = 10UL>

const ValueT & operator* | ( |  | ) | const
| inline

## ◆ operator+()

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator operator+ | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator+=()

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator & operator+= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator-() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

difference_type operator- | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator-() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator operator- | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator--() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator & operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator operator-- | ( | int |  | ) |
| inline

## ◆ operator-=()

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator & operator-= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator->()

template<typename ValueT , size_t Log2PageSize = 10UL>

const ValueT * operator-> | ( |  | ) | const
| inline

## ◆ operator<()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator< | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator<=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator<= | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator=()

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator & operator= | ( | const ConstIterator & | other | ) |
| inline

## ◆ operator==()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator== | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator>()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator> | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator>=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator>= | ( | const ConstIterator & | other | ) | const
| inline

## ◆ operator[]()

template<typename ValueT , size_t Log2PageSize = 10UL>

const ValueT & operator[] | ( | const difference_type & | pos | ) | const
| inline

## ◆ pos()

template<typename ValueT , size_t Log2PageSize = 10UL>

size_t pos | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator+

template<typename ValueT , size_t Log2PageSize = 10UL>

ConstIterator operator+ | ( | const difference_type & | pos,
|  | const ConstIterator & | other )
| friend